## Methode com.sap.dbtech.powertoys.Loader.dbLoader

### Verwendung

Um in einer Java-Anwendung Loader-Kommandos ausführen zu können, verbinden Sie die Java-Anwendung zunächst über den Loader mit einer Datenbankinstanz. Hierzu verwenden Sie die Methode com.sap.dbtech.powertoys.Loader.dbLoader.

Das System verwendet automatisch die neueste Loader-Version, die auf dem Rechner verfügbar ist, auf dem der Loader läuft. Der Loader läuft in der Regel auf dem gleichen Rechner wie die Java-Anwendung.

### Funktionsumfang

public static Loader dbLoader(String database_computer, String database_name)

throws

com.sap.dbtech.rte.comm.RTEException

Parameter

Name | Beschreibung
database_computer | Name des Rechners, auf dem die Datenbankinstanz läuft
database_name | Datenbankname

Ausnahmen

Klasse | Beschreibung
com.sap.dbtech.rte.comm.RTEException | siehe Fehlerbehandlung (Loader)

Um sich an die Datenbankinstanz anzumelden, führen Sie das Loader-Kommando USE USER aus, siehe Methode com.sap.dbtech.powertoys.Loader.cmd.

Siehe auch:

Beispiel: Tabelle exportieren

Loader-Java-Klassen